﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="ShoppingCart.aspx.vb" Inherits="ShoppingCart4VB" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
  <title>Shopping Cart - jQuery Version (Add Theme Switcher function)</title> 
  <link href="StyleSheet.css" rel="stylesheet" type="text/css" />
  <link href="http://ajax.googleapis.com/ajax/libs/jqueryui/1.7.2/themes/base/jquery-ui.css" rel="stylesheet" type="text/css" />
  <link href="books/book.css" rel="stylesheet" type="text/css" />  

  <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.3.2/jquery.min.js" type="text/javascript"></script>
  <script src="http://ajax.googleapis.com/ajax/libs/jqueryui/1.7.2/jquery-ui.min.js" type="text/javascript"></script>
  <script src="books/book.js" type="text/javascript"></script>   
  <script type="text/javascript" src="http://jqueryui.com/themeroller/themeswitchertool/"></script>
  <script type="text/javascript">
    $(function() {
      $('#themeswitcher').themeswitcher();
    }); 
  </script>
  <script type="text/javascript">
    $(function() {
      var img1 = $('<img />').attr('src', 'books/images/ASP.NETjQuery700.jpg');
      var img2 = $('<img />').attr('src', 'books/images/CssjQuery700.png');
      var img3 = $('<img />').attr('src', 'books/images/jQueryJavaScript700.jpg');
      var img4 = $('<img />').attr('src', 'books/images/jQueryUI700.png');
    }); 
  </script>        
</head>
<body>
  <form id="form1" runat="server">
  
  <div id="wrapper" class="ui-widget ui-helper-clearfix">
    <div id="header">
      <div id="themeswitcher"></div>
      <div id="checkout" class="ui-widget-content ui-state-default"><a href="#"><span class="ui-icon ui-icon-cart">Cart</span>Check Out</a></div>    
    </div>
    <br />  
    <asp:ListView ID="lvCart" runat="server" DataKeyNames="ID" DataSourceID="odsProduct">
      <LayoutTemplate>   
        <ul id="books" class="books ui-helper-reset ui-helper-clearfix">
          <li id="itemPlaceholder" runat="server" />    
        </ul>
        <div id="cart" class="ui-widget-content ui-state-default">
          <h4 class="ui-widget-header"><span class="ui-icon ui-icon-cart">Cart</span>Cart</h4>
        </div>
      </LayoutTemplate>
      <ItemTemplate>
        <li class="ui-widget-content ui-corner-tr">
          <h5 class="ui-widget-header"><%#Eval("Header")%></h5>          
          <img src='<%# String.Format("books/images/{0}", Eval("SmallImage")) %>' 
            alt='<%# Eval("Title") %>'  width="96px" height="120px" />            
          <br />
          <span style="font-size: 9px;"><%#String.Format("{0:n0}", Eval("Price"))%> </span>  
          <a href='<%# String.Format("books/images/{0}", Eval("LargeImage")) %>'  
            title="Zoom-In" class="ui-icon ui-icon-zoomin"></a> 
          <a href="#nogo" title="Add to Cart" class="ui-icon ui-icon-circle-plus"></a>
          <em style="display:none;"><%#Eval("Abstract")%></em> 
        </li>       
      </ItemTemplate>
    </asp:ListView>  
  </div>
  
  <asp:ObjectDataSource ID="odsProduct" runat="server" 
    TypeName="ProductManager"
    SelectMethod="GetProductList">
  </asp:ObjectDataSource>    
  
  </form>
</body>
</html>
